Package com.smartgwt.client.widgets.form.fields.events

# Class KeyDownEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<KeyDownHandler>
com.smartgwt.client.widgets.form.fields.events.KeyDownEvent

All Implemented Interfaces:
  `Cancellable`

public class KeyDownEvent extends AbstractSmartEvent<KeyDownHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyDownEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to attempt to cancel the event.
  `protected void`
  `dispatch(KeyDownHandler handler)`
  `static <S extends HasKeyDownHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<KeyDownHandler>`
  `getAssociatedType()`
  `FormItem`
  `getFiringItem()`
  Returns the `FormItem` firing the event.
  `DynamicForm`
  `getForm()`
  Pointer to the item's form
  `FormItem`
  `getItem()`
  Item over which the keydown occurred
  `String`
  `getKeyName()`
  Name of the key pressed (Example: `"A"`, `"Enter"`)
  `static GwtEvent.Type<KeyDownHandler>`
  `getType()`
  Gets the type associated with this event.
  `final boolean`
  `isAltKeyDown()`
  Helper method pointing to `EventHandler.altKeyDown()`.
  `boolean`
  `isCancelled()`
  `final boolean`
  `isCtrlKeyDown()`
  Helper method pointing to `EventHandler.ctrlKeyDown()` Return true if the control key is being held down.
  `final boolean`
  `isShiftKeyDown()`
  Helper method pointing to `EventHandler.shiftKeyDown()`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KeyDownEvent

    public KeyDownEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringItem

    public FormItem getFiringItem()
    Returns the `FormItem` firing the event.
    Returns:
      FormItem firing the event

  - ### fire

    public static <S extends HasKeyDownHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<KeyDownHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(KeyDownHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<KeyDownHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<KeyDownHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<KeyDownHandler>`

  - ### cancel

    public void cancel()
    Call this method to attempt to cancel the event. Note for general purpose APIs for managing whether user input is allowed, use `FormItem.change()` or `FormItem.transformInput()` instead.
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getItem

    public FormItem getItem()
    Item over which the keydown occurred
    Returns:
      Item over which the keydown occurred

  - ### getForm

    public DynamicForm getForm()
    Pointer to the item's form
    Returns:
      Pointer to the item's form

  - ### getKeyName

    public String getKeyName()
    Name of the key pressed (Example: `"A"`, `"Enter"`)
    Returns:
      Name of the key pressed (Example: `"A"`, `"Enter"`)

  - ### isAltKeyDown

    public final boolean isAltKeyDown()
    Helper method pointing to `EventHandler.altKeyDown()`. Return true if the alt key is being held down.

  - ### isCtrlKeyDown

    public final boolean isCtrlKeyDown()
    Helper method pointing to `EventHandler.ctrlKeyDown()` Return true if the control key is being held down.

  - ### isShiftKeyDown

    public final boolean isShiftKeyDown()
    Helper method pointing to `EventHandler.shiftKeyDown()`
    Returns:
      true if the shift key is being held down.